package com.ebaiyihui.family.doctor.common.vo.cloudHis;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;


/**
 * @Author: shenshanshan
 * @Date: 16:09 2020-02-21
 */
@Data
public class ICDSearchNameReqVO {


    @ApiModelProperty(value = "诊断名称【必填】")
    @NotBlank(message = "关键字不能为空")
    private String keyword;

    @ApiModelProperty(value = "页数【必填】")
    @NotNull(message = "页数不能为空")
    private Integer pageNum;

    @ApiModelProperty(value = "记录数【必填】")
    @NotNull(message = "记录数不能为空")
    private Integer pageSize;
}
